#! /usr/bin/env python
# -*- coding: utf-8 -*-
# vim:fenc=utf-8
#
# Copyright © 2024 StrayWarrior <i@straywarrior.com>

"""
Constants for long articles.
"""

category_feature_v1 = [
    'CateOddities', 'CateFamily', 'CateHeartwarm',
    'CateHistory', 'CateHealth', 'CateLifeKnowledge', 'CateGossip',
    'CatePolitics', 'CateMilitary', 'CateMovie', 'CateSociety',
    'view_count_rate'
]

category_name_map_v1 = {
    '奇闻趣事': 'CateOddities',
    '历史人物': 'CateHistory',
    '家长里短': 'CateFamily',
    '温情故事': 'CateHeartwarm',
    '健康养生': 'CateHealth',
    '生活知识': 'CateLifeKnowledge',
    '名人八卦': 'CateGossip',
    '政治新闻': 'CatePolitics',
    '军事新闻': 'CateMilitary',
    '影视解读': 'CateMovie',
    '社会现象': 'CateSociety',
    '财经科技': 'CateFinTech',
    '人情世故': 'CateSocialCustom',
    '职场经验': 'CateWorkExperience',
    '子女教育': 'CateEducation'
}

reverse_category_name_map_v1 = {
    v: k for k, v in category_name_map_v1.items()
}

category_feature_v2 = [
    'CateSciencePop', 'CateMilitaryHistory', 'CateFamily', 'CateSocialRule',
    'CateOddities', 'CateGossip', 'CateHealth', 'CateEmotional',
    'CateNational', 'CateModernFigure', 'CateNostalgic', 'CatePolitics',
    'CateHistoryFigure', 'CateSocialPhenomena', 'CateFinTech',
    'view_count_rate'
]

category_name_map_v2 = {
    '知识科普': 'CateSciencePop',
    '军事历史': 'CateMilitaryHistory',
    '家长里短': 'CateFamily',
    '社会法治': 'CateSocialRule',
    '奇闻趣事': 'CateOddities',
    '名人八卦': 'CateGossip',
    '健康养生': 'CateHealth',
    '情感故事': 'CateEmotional',
    '国家大事': 'CateNational',
    '现代人物': 'CateModernFigure',
    '怀旧时光': 'CateNostalgic',
    '政治新闻': 'CatePolitics',
    '历史人物': 'CateHistoryFigure',
    '社会现象': 'CateSocialPhenomena',
    '财经科技': 'CateFinTech',
}

reverse_category_name_map_v2 = {
    v: k for k, v in category_name_map_v2.items()
}

